AOZ Studio Beta - Bug #897

Sprite Anim - Anim on restarts old animations
05/29/2022 02:49 PM - Alex Vac

Status: Resolved Start date: 05/29/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: none

Description

Anim starts over for old animations on screen when ANIM ON is used.

In the example below sprite 1 repeats its animation when sprite 2 starts its animation.

EXAMPLE in ACTION:
https://app.aoz.studio/00dkOkdr/

BEGIN:

sprite 1,250,150,1 : sprite 2,500,150,2

anim 1,"(3,15)(1,15)(3,15)(1,15)(3,15)(1,15)" : anim on
wait 0.1: clear key:wait Key

anim off 1: anim off // makes no difference

anim 2,"(3,15)(2,15)(3,15)(2,15)(3,15)(2,15)" : anim on
wait 0.1: clear key:wait Key

goto BEGIN

History

#1 - 05/29/2022 10:44 PM - malcolm harvey
ANIM can be used yes with ANIM on/off [n] with either amiga/atarist cmds/instr's.

If you don't specify (number) it will become global for all sprite anims, amos/stos worked same way.

Works as expected. Yes, please close this ticket francois, thankyou.

#2 - 06/29/2022 10:50 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!
